## st-theme

st-theme — a set of stylesheets

## Functions

StTheme * | st_theme_new ()
gboolean | st_theme_load_stylesheet ()
void | st_theme_unload_stylesheet ()
GSList * | st_theme_get_custom_stylesheets ()

## Description

StTheme holds a set of stylesheets. (The "cascade" of the name Cascading Stylesheets.) A StTheme can be set to apply to all the actors in a stage using `st_theme_context_set_theme()` or applied to a subtree of actors using `st_widget_set_theme()`.

## Functions

### st_theme_new ()

    StTheme *
    st_theme_new (const char *application_stylesheet,
                  const char *theme_stylesheet,
                  const char *default_stylesheet);

#### Parameters

application_stylesheet | The highest priority stylesheet, representing application-specific styling; this is associated with the CSS "author" stylesheet, may be `NULL` |
theme_stylesheet | The second priority stylesheet, representing theme-specific styling ; this is associated with the CSS "user" stylesheet, may be `NULL` |
default_stylesheet | The lowest priority stylesheet, representing global default styling; this is associated with the CSS "user agent" stylesheet, may be `NULL` |

#### Returns

the newly created theme object

### st_theme_load_stylesheet ()

    gboolean
    st_theme_load_stylesheet (StTheme *theme,
                              const char *path,
                              GError **error);

### st_theme_unload_stylesheet ()

    void
    st_theme_unload_stylesheet (StTheme *theme,
                                const char *path);

### st_theme_get_custom_stylesheets ()

    GSList *
    st_theme_get_custom_stylesheets (StTheme *theme);

#### Parameters

theme | an StTheme |

#### Returns

the list of stylesheet filenames that were loaded with `st_theme_load_stylesheet()`.

[transfer full][element-type utf8]

## Types and Values